Skip to main content

Posts

Showing posts from February 14, 2016

A common Cake PHP installation error Solved - "Your requirements could not be resolved to an installable set of packages"

Hi guys, if you are a newbie in CakePHP and you are trying to install cakePHP, just consider one thing which is also most important and that is doing uncomment to the extension=php_intl.dll located into the php.ini file. php.ini file locates in the php folder of xampp.

PHP internationalization extension is an api of ICU that nerves programmer to carry out several kind of sensible operations.

If you have not upcomment this extension, you will surely get this kind of problem shown in the below:

Your requirements could not be resolved to an installable set of packages.
Problem 1
.........................
Problem 2
........................
Step 01: Enter into your xampp folder >> php
Step 02: Now find php.ini file - There may be 3 php.ini file including development and production, but you have to choose general file and open it using notpad.
Step 03: Search for ;extension=php_intl.dll.
Step 04: Now remove ; of ;extension=php_intl.dll. It means uncommenting of extension=php_intl.dll.

Finally…